import request from '@/utils/request'

// 查询调课列表
export function listChange(query) {
  return request({
    url: '/course/change/list',
    method: 'get',
    params: query
  })
}

// 查询调课详细
export function getChange(id) {
  return request({
    url: '/course/change/' + id,
    method: 'get'
  })
}

// 新增调课
export function addChange(data) {
  return request({
    url: '/course/change',
    method: 'post',
    data: data
  })
}

// 修改调课
export function updateChange(data) {
  return request({
    url: '/course/change/put',
    method: 'post',
    data: data
  })
}

// 删除调课
export function delChange(id) {
  return request({
    url: '/course/change/delete/' + id,
    method: 'get'
  })
}

export function setPass(query) {
  return request({
    url: '/course/change/reply',
    method: 'get',
    params: query
  })
}


